# Generated by Django 4.0.2 on 2023-06-02 06:08

import comments.service
import common.service
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.CharField(max_length=255, unique=True)),
                ('depth', models.PositiveIntegerField()),
                ('numchild', models.PositiveIntegerField(default=0)),
                ('text', models.TextField(max_length=5000, verbose_name='Comment')),
                ('time_published', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CommentImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to=common.service.get_user_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpg', 'png']), comments.service.validate_comment_image])),
                ('image_thumbnail', models.ImageField(editable=False, upload_to=common.service.get_user_path)),
                ('comment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comment_images', to='comments.comment')),
            ],
        ),
    ]
